Page MenuHomeFreeBSD

net/py-libnet: Update to 3.0rc1, Remove/fix BROKEN_*
ClosedPublic

Authored by koobs on Jun 25 2019, 12:26 PM.

Details

Summary
net/py-libnet: Update to 3.0rc1, Remove/fix BROKEN_*

Switch port to use autoplist to preclude having to manually
construct shared library names based on ARCH/uname manipulations.

While I'm here:

 - Switch to latest upstream release: 3.0rc1, via CHEESESHOP
 - Remove patch that was fixed upstream [1]
 - Match COMMENT to setup.py:description
 - Strip shared library

[1] https://github.com/allfro/pylibnet/commit/67cd7b84179def8b7d88ce1456dec3984aa9ea59

Reviewed_by: loader, sbz
Approved by: sbz (maintainer)
Tested by: loader (armv6, armv7, aarch64, mips64)
MFH: 2019Q3 (blanket: bugfix release, bugfixes)
Differential_Revision: D20754

Note: This port also needs to be renamed to pylibnet (per registered upstream PyPI name). I've not included that change to facilitate MFH'ing these changes

Test Plan
  • portlint: OK (looks fine.)
  • testport: OK (poudriere: 12{amd64,i386}, 13{armv6,armv7,aarch64,mips64} (loader))

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

koobs created this revision.Jun 25 2019, 12:26 PM
koobs edited the summary of this revision. (Show Details)Jun 25 2019, 12:27 PM
koobs added 1 blocking reviewer(s): sbz.
koobs edited the summary of this revision. (Show Details)

@loader Would appreciate testing this on any !amd64/i386 archs you have available per your D15771#344134 comment. I don't anticipate issues with any ARCHS as the port now uses autoplist which encodes whatever files are produced by the package via setuptools. Thank you in advance :)

koobs updated this revision to Diff 58992.EditedJun 25 2019, 12:31 PM

Remove commented out GitHub related variables

koobs edited the summary of this revision. (Show Details)Jun 25 2019, 12:33 PM
koobs updated this revision to Diff 58994.Jun 25 2019, 12:50 PM

Remove duplicate do-install-EXAMPLES-on target

loader accepted this revision.Jun 26 2019, 5:21 PM

Sure thing.

armv6: https://pastebin.com/raw/QGGQXwaw
armv7: https://pastebin.com/raw/tf9dTnUy
aarch64: https://pastebin.com/raw/XjJCPnYE
mips64: https://pastebin.com/raw/4TAsghbd

armv6 was tested in a jail running on the armv7 kernel.

koobs added a comment.Jun 27 2019, 9:50 AM

Sure thing.
armv6: https://pastebin.com/raw/QGGQXwaw
armv7: https://pastebin.com/raw/tf9dTnUy
aarch64: https://pastebin.com/raw/XjJCPnYE
mips64: https://pastebin.com/raw/4TAsghbd
armv6 was tested in a jail running on the armv7 kernel.

Thank you for testing! In future, just confirmation is fine without logs, but if logs are requested/needed, attach them using the Upload function

External URL references tend to go missing/stale over time :)

Thank you for testing! In future, just confirmation is fine without logs, but if logs are requested/needed, attach them using the Upload function
External URL references tend to go missing/stale over time :)

You are welcome and thank you for your patient guidance. :)

koobs added a comment.Jul 1 2019, 6:32 AM

@sbz I'd like this to get into 2019Q3 before the branch is cut. Could you take a quick look?

koobs added a comment.Jul 1 2019, 6:33 AM

Sorry I meant get this into 2019Q2 (MFH) *and* into 2019Q3 (before its cut

koobs edited the summary of this revision. (Show Details)Jul 9 2019, 5:14 AM
koobs edited the summary of this revision. (Show Details)Jul 9 2019, 5:18 AM
koobs edited the test plan for this revision. (Show Details)
sbz accepted this revision.EditedJul 10 2019, 11:40 AM

Awesome, great job. I didn't think this project was still maintained. I don't know if it has support and build for python3.x, so not sure about the concurrent.

Approved. Thanks!

This revision is now accepted and ready to land.Jul 10 2019, 11:40 AM
sbz added a comment.EditedJul 10 2019, 11:41 AM

@sbz I'd like this to get into 2019Q3 before the branch is cut. Could you take a quick look?

Done. @koobs go head and do the mfh after it will be landed and renamed.

This revision was automatically updated to reflect the committed changes.